YPINIT(8)

NAME
ypinit - initialize NIS subsystem

SYNOPSIS
ypinit -c [-l server1,...,serverN] [domainname]
ypinit -m [-l server1,...,serverN] [domainname]
ypinit -s master_server [-l server1,...,serverN] [domainname]

DESCRIPTION
ypinit initializes the files and directories that are required for a NIS client or server.

If domainname isn't specified, the default domain (as returned by domainname(1)) is used.

The following options are available:

-c  Create a NIS client. Initializes /var/yp/binding/<domain>.ypservers to contain a list of ypservers for ypbind(8) to connect to.

-l server1,...,serverN
    Set the list of client servers from the command line rather than prompting for them interactively. The format is a comma separated list of server names with no spaces.

-m  Create a master NIS server. Generates map data from local files (/etc/master.passwd, /etc/group, etc.).

-s master_server
    Create a slave server. Downloads the maps from master_server, which should be the active master NIS server.

To rebuild or refresh the maps for the NIS domain <domain>, change to the /var/yp/<domain> directory and run make.

FILES
/var/yp
    master NIS directory; contains the template makefiles.
/var/yp/<domain>
    directory to store NIS maps for <domain>.
/var/yp/binding/<domain>.ypservers
    list of NIS servers to bind to.

SEE ALSO
domainname(1), make(1), makedbm(8), mknetid(8), nis(8), stdethers(8), stdhosts(8), ypbind(8), yppush(8), ypserv(8)

AUTHORS
-nosplit Originally written by Mats O Jansson <moj@stacken.kth.se>. Modified by Jason R. Thorpe <thorpej@NetBSD.org>.